ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jaikiran Pai <jai.forums2...@gmail.com>
Subject Re: Looking to contribute
Date Sun, 19 Jul 2015 16:33:44 GMT
Thank you Nicolas. I just submitted the first pull request which fixes 
IVY-1526 https://github.com/apache/ant-ivy/pull/7. Let me know if that's 
good enough or requires more changes.

-Jaikiran

On Thursday 16 July 2015 05:57 PM, Nicolas Lalevée wrote:
>> Le 16 juil. 2015 à 14:14, Jaikiran Pai <jai.forums2013@gmail.com> a écrit
:
>>
>> Hi Jean-Louis,
>>
>> I'm thinking of submitting via pull requests. I had a quick look at the open JIRAs
and haven't yet narrowed down on my first choice yet (just to get started familiarizing myself
with the code). I found this one https://issues.apache.org/jira/browse/IVY-1526 which I think
I can help with after discussing how we want to go about it.
>>
>> If you have any other issues in mind, which might be a better start, then please
do let me know.
>>
>> By the way, just to be clear, the "minimum" Java version is meant to mean the *target*
Java version against which Ivy should be usable, right?
> Yes.
> And actually it is now 1.5. See the master branch (for some reason github is pointing
by default to the 1.4.x, we never took time to investigate why):
> https://github.com/apache/ant-ivy/blob/master/build.properties <https://github.com/apache/ant-ivy/blob/master/build.properties>
>
> Here are some documentation explaining it:
> http://ant.apache.org/ivy/history/latest-milestone/compatibility.html <http://ant.apache.org/ivy/history/latest-milestone/compatibility.html>
>
> Nicolas
>
>> -Jaikiran
>> On Thursday 16 July 2015 05:38 PM, Jean-Louis Boudart wrote:
>>> The best you can do to help us would be to try to submit patches either via
>>> JIRA attachemnet or via pull requests.
>>>
>>> Let me know if you need some more informations.
>>>
>>> 2015-07-16 14:06 GMT+02:00 Jean-Louis Boudart <jeanlouis.boudart@gmail.com>:
>>>
>>>> Hi,
>>>>
>>>> Current java minimum version is defined in build.properties[1] of the
>>>> project and is currently set to 1.4.
>>>> Considering that Ant upgrade miminal java version to java 1.5 we should
>>>> probably do the same on ivy.
>>>>
>>>> [1] https://github.com/apache/ant-ivy/blob/1.4.x/build.properties
>>>>
>>>> 2015-07-16 6:23 GMT+02:00 Jaikiran Pai <jai.forums2013@gmail.com>:
>>>>
>>>>> I'm thinking of contributing to the Ivy project. I had a quick look at
>>>>> the JIRAs that are open and also have checked out the latest source code
>>>>> from git. Before starting off with anything, I would like to know what
is
>>>>> the Java version that should be used by contributors for code
>>>>> contributions? I couldn't find this in any document that I read (I can
send
>>>>> a patch to the docs itself when I know the answer).
>>>>>
>>>>> -Jaikiran
>>>>>
>>>>> ---------------------------------------------------------------------
>>>>> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
>>>>> For additional commands, e-mail: dev-help@ant.apache.org
>>>>>
>>>>>
>>>> --
>>>> Jean Louis Boudart
>>>> Independent consultant
>>>> Apache EasyAnt commiter http://ant.apache.org/easyant/
>>>>
>>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
>> For additional commands, e-mail: dev-help@ant.apache.org
>>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message